API Docs
YMS API
Receipt
POST Update Receipt

POST Update Receipt

Introduction

Update an existing receipt by its receipt ID. This API allows you to modify receipt details such as carrier, customer, equipment information, item lines, appointment data, and dynamic field values. Only the fields provided in the request body will be updated.

API Request

POST /receipt/{receiptId}/update

Body Request Parameters

{
  "receiptStatus": "string",
  "receiptType": "string",
  "poNo": "string",
  "carrierId": "string",
  "customerId": "string",
  "referenceNo": "string",
  "equipmentType": "VEHICLE",
  "equipmentNo": "string",
  "totalPalletQty": 0,
  "itemLines": [
    {
      "itemId": "string",
      "itemName": "string",
      "itemQty": "string",
      "palletQty": "string",
      "itemSpecDesc": "string",
      "itemSpecName": "string",
      "uomId": "string",
      "qty": "string"
    }
  ],
  "appointmentTime": "string",
  "appointmentId": "string",
  "sealNo": "string",
  "dataChannel": "YMS",
  "eventTime": "string",
  "extraData": "string",
  "carrierName": "string",
  "customerName": "string",
  "dynamicFieldValues": [
    {
      "entityId": "string",
      "entityType": "RECEIPT",
      "fieldCode": "string",
      "shortValue": "string",
      "longValue": "string",
      "value": "string"
    }
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
receiptIdpathstringYesReceipt ID
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyReceiptUpdateCmd (opens in a new tab)Nonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "receiptId": "",
    "receiptStatus": "",
    "receiptType": "",
    "poNo": "",
    "carrierId": "",
    "customerId": "",
    "referenceNo": "",
    "equipmentType": "",
    "equipmentNo": "",
    "totalPalletQty": 0,
    "itemLines": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "appointmentTime": "",
    "appointmentId": "",
    "sealNo": "",
    "dataChannel": "",
    "eventTime": "",
    "extraData": "",
    "carrierName": "",
    "customerName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRReceiptView (opens in a new tab)